﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_pic_histogram
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Make some random data.
        private void Form1_Load(object sender, EventArgs e)
        {
            // Do not allow the user to resize the form.
            FormBorderStyle = FormBorderStyle.FixedDialog;

            Color[] Colors = new Color[] {
                Color.Red, Color.LightGreen, Color.Blue,
                Color.Pink, Color.Green, Color.LightBlue,
                Color.Orange, Color.Yellow, Color.Purple
            };

            Random rand = new Random();

            const int num_values = 10;
            int wid = picHisto.ClientSize.Width / num_values;

            for (int i = 0; i < num_values; i++)
            {
                int value = rand.Next(5, 95);

                // Make a label to be the histogram.
                Label lbl_hist = new Label();
                lbl_hist.Parent = picHisto;
                lbl_hist.BackColor = Colors[i % Colors.Length];
                lbl_hist.BorderStyle = BorderStyle.FixedSingle;
                lbl_hist.Width = wid;
                lbl_hist.Height =
                    (int)(picHisto.ClientSize.Height * value / 100f);
                lbl_hist.Left = i * wid;
                lbl_hist.Top =
                    picHisto.ClientSize.Height - lbl_hist.Height;

                // Make a label to display the value.
                Label lbl_value = new Label();
                lbl_value.Parent = picHisto;
                lbl_value.BackColor = Color.Transparent;
                lbl_value.Text = value.ToString();
                lbl_value.TextAlign = ContentAlignment.TopCenter;
                lbl_value.Left = lbl_hist.Left;
                lbl_value.Width = lbl_hist.Width;
                lbl_value.Height = 15;
                lbl_value.Top = lbl_hist.Top - lbl_value.Height;
            }
        }
    }
}
